QGIS Application - Bug report #16334
Processing - Running a model freezes QGIS
2017-03-09 11:58 AM - Magnus Nilsson

Status: Closed

Priority: High

Assignee: Victor Olaya
Category: Processing/Modeller

Affected QGIS version:2.18.4

Operating System: Windows 10 64 bit
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 24244

Description

When | run a model with the green arrow to the right of the file path selected, QGIS freezes.

QGIS 2.18.4, 64 bit.

History

#1 - 2017-03-09 12:10 PM - Giovanni Manghi

- Target version deleted (Future Release - Lower Priority)
- Status changed from Open to Feedback

- Priority changed from Normal to High

Can you attach the model (and the data, or a sample)?

#2 - 2017-03-11 03:30 AM - Magnus Nilsson
- File Roads.model added

This seems to happen with any data or model that | use. | have tried several SHP files and models and QGIS still freezes. Try with the road network from

http://download.geofabrik.de/europe/liechtenstein.html for example. | have attached a simple model.

#3 - 2017-04-11 04:37 AM - Alexander Bruy
- Status changed from Feedback to Closed
- Resolution set to worksforme

Can't reproduce with latest point release 2.18.6. Please reopen if necessary and provide detailed steps to reproduce.

#4 - 2017-04-29 01:33 AM - Giovanni Manghi

Magnus Nilsson wrote:

This seems to happen with any data or model that | use. | have tried several SHP files and models and QGIS still freezes. Try with the road network

from http.//download.geofabrik.de/europe/liechtenstein.html for example. | have attached a simple model.
the point is that that green arrow serves to run the tool/model iterating all input features. If input features are a lot the preparation phase take a long, it you
leave it do its thing long enough at same point the tool/model starts.

Files
Roads.model 3.12KB 2017-03-11 Magnus Nilsson
